player = {}
player.highscore = 0

playerR = {}
playerR[1] = love.graphics.newImage("images/player1.png")
playerR[2] = love.graphics.newImage("images/player2.png")

player.animtimer = 0
player.pic = playerR[1]
player.pnum = 1

function player.load()
    player.width = 25
    player.height = 25
    player.x = screenWidth / 2 - player.width / 2
    player.y = screenHeight / 1.2
    player.xvel = 0
    player.yvel = 0
    player.friction = 9.5
    player.speed = 2500
    player.points = 0
    player.health = 5
    player.level = 1
    player.weaponStage = 0
end
--
function player.draw()
	love.graphics.setColor(255,255,255)
	love.graphics.draw(player.pic,player.x,player.y)
end
--
function player.physics(dt)
	player.x = player.x + player.xvel * dt
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))
end
--
function player.boundary(dt)
	if player.x < 0 then
		player.x = 0
	end
	if player.x + player.width > screenWidth then
		player.x = screenWidth - player.width
	end
end
--
function player.move(dt)
	if love.keyboard.isDown ('left') and player.xvel > -player.speed then
		player.xvel = player.xvel - player.speed * dt
		player.pic = playerR[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 2 then
			player.pnum = 1
		end
	end
	if love.keyboard.isDown ('right') and player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
		player.pic = playerR[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 2 then
			player.pnum = 1
		end
	end
end
--
function player.shoot(key)
	if player.weaponStage < 1 then
		if key == ' ' then
			bullet.spawn(player.x + player.width / 2 - bullet.width / 2, player.y - player.height / 2 - bullet.height / 2, 'up')
		end
	end
	if player.weaponStage > 0 and player.weaponStage < 2 then
		if key == ' ' then
			canon.spawn(player.x, player.y + player.height / 2, 'up')
			canon.spawn(player.x + player.width - canon.width, player.y + player.height / 2, 'up')
			canon.round = canon.round - 2
		end
	end
	if canon.round < 2 then
		player.weaponStage = 0
	end
end
--
function player.Plevel(dt)
	--LEVEL 2
	if player.points > 49 and player.points < 100 then
		player.level = 2
		enemy.speed = 75
	end
	--LEVEL 3
	if player.points > 99 and player.points < 150 then
		player.level = 3
		enemy.speed = 100
	end
	--LEVEL 4
	if player.points > 149 and player.points < 200 then
		player.level = 4
		enemy.speed = 125
	end
	--LEVEL 5
	if player.points > 199 and player.points < 250 then
		player.level = 5
		enemy.speed = 150
	end
	--LEVEL 6
	if player.points > 249 and player.points < 300 then
		player.level = 6
		enemy.speed = 175
	end
	--LEVEL 7
	if player.points > 299 and player.points < 350 then
		player.level = 7
		enemy.speed = 200
	end
	--LEVEL 8
	if player.points > 349 and player.points < 400 then
		player.level = 8
		enemy.speed = 225
	end
	--LEVEL 9
	if player.points > 399 and player.points < 450 then
		player.level = 9
		enemy.speed = 250
	end
	--LEVEL 10
	if player.points > 449 then
		player.level = 10
		enemy.speed = 300
	end
end
--
function player.lose(dt)
	if player.health < 1 then
		table.remove(enemy.spawned, i)
	end
	if player.points < 0 then
		table.remove(enemy.spawned, i)
	end
end


--PARENT FUNCTIONS

function DRAW_PLAYER()
	player.draw()
end
--
function UPDATE_PLAYER(dt)
	player.move(dt)
	player.physics(dt)
	player.boundary(dt)
	player.Plevel(dt)
	player.lose(dt)
end