powerup = {}
health = {}
ammo = {}
function powerup.load()

	--HEALTH DROP
	health.width = 25
	health.height = 25
	health.x = screenWidth / 4 - health.width / 2
	health.y = -health.height
	health.xvel = 0
	health.yvel = 0
	health.friction = 10
	health.speed = 100

	health.spawned = {}
	health.spawnedCounter = 0

	healthPic = love.graphics.newImage("images/health.png")

	--AMMO DROP
	ammo.width = 25
	ammo.height = 25
	ammo.x = screenWidth / 1.5 - ammo.width / 2
	ammo.y = -ammo.height
	ammo.xvel = 0
	ammo.yvel = 0
	ammo.friction = 10
	ammo.speed = 100

	ammo.spawned = {}
	ammo.spawnedCounter = 0

	ammoPic = love.graphics.newImage("images/ammo.png")
end
--
function health.draw()
	for i,v in ipairs(health.spawned) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(healthPic,v.x,v.y)
	end
end
--
function ammo.draw()
	for i,v in ipairs(ammo.spawned) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(ammoPic,v.x,v.y)
	end
end
--
function health.spawn()
	table.insert(health.spawned, {x = health.x, y = health.y, width = health.width, height = health.height, xvel = health.xvel, yvel = health.yvel})
end
--
function ammo.spawn()
	table.insert(ammo.spawned, {x = ammo.x, y = ammo.y, width = ammo.width, height = ammo.height, xvel = ammo.xvel, yvel = ammo.yvel})
end
--
function health.spawningHandler(dt)
	--LEVEL 6
	if player.level > 5 and health.spawnedCounter < 1 then
		health.spawn()
		health.spawnedCounter = health.spawnedCounter + 1
	end
	--LEVEL 8
	if player.level > 7 and health.spawnedCounter < 2 then
		health.spawn()
		health.spawnedCounter = health.spawnedCounter + 1
	end
	--LEVEL 10
	if player.level > 9 and health.spawnedCounter < 3 then
		health.spawn()
		health.spawnedCounter = health.spawnedCounter + 1
	end
end
--
function ammo.spawningHandler(dt)
	--LEVEL 4
	if player.level > 3 and ammo.spawnedCounter < 1 then
		ammo.spawn()
		ammo.spawnedCounter = ammo.spawnedCounter + 1
	end
	--LEVEL 5
	if player.level > 4 and ammo.spawnedCounter < 2 then
		ammo.spawn()
		ammo.spawnedCounter = ammo.spawnedCounter + 1
	end
	--LEVEL 6
	if player.level > 5 and ammo.spawnedCounter < 3 then
		ammo.spawn()
		ammo.spawnedCounter = ammo.spawnedCounter + 1
	end
	--LEVEL 7
	if player.level > 6 and ammo.spawnedCounter < 4 then
		ammo.spawn()
		ammo.spawnedCounter = ammo.spawnedCounter + 1
	end
	--LEVEL 8
	if player.level > 7 and ammo.spawnedCounter < 5 then
		ammo.spawn()
		ammo.spawnedCounter = ammo.spawnedCounter + 1
	end
	--LEVEL 9
	if player.level > 8 and ammo.spawnedCounter < 6 then
		ammo.spawn()
		ammo.spawnedCounter = ammo.spawnedCounter + 1
	end
	--LEVEL 10
	if player.level > 9 and ammo.spawnedCounter < 7 then
		ammo.spawn()
		ammo.spawnedCounter = ammo.spawnedCounter + 1
	end
end
--
function health.physics(dt)
	for i,v in ipairs(health.spawned) do
	    v.x = v.x + v.xvel * dt
	    v.y = v.y + v.yvel * dt
	    v.xvel = v.xvel * (1 - math.min(dt*health.friction, 1))
	    v.yvel = v.yvel * (1 - math.min(dt*health.friction, 1))
    end
end
--
function ammo.physics(dt)
	for i,v in ipairs(ammo.spawned) do
	    v.x = v.x + v.xvel * dt
	    v.y = v.y + v.yvel * dt
	    v.xvel = v.xvel * (1 - math.min(dt*ammo.friction, 1))
	    v.yvel = v.yvel * (1 - math.min(dt*ammo.friction, 1))
    end
end
--
function health.move(dt)
	for i,v in ipairs(health.spawned) do
		v.y = v.y + health.speed * dt
	end
end
--
function ammo.move(dt)
	for i,v in ipairs(ammo.spawned) do
		v.y = v.y + ammo.speed * dt
	end
end
--
function health.collide(dt)
	for i,v in ipairs(health.spawned) do
		if v.y > screenHeight then
			table.remove(health.spawned, i)
		end

		if v.x + v.width > player.x and
			v.x < player.x + player.width and
			v.y + v.height > player.y and
			v.y < player.y + player.height then
			player.health = 5
			table.remove(health.spawned, i)
			TEsound.play('sfx/powerup.wav', 4 * 1024 * 1024)
		end
	end
end
--
function ammo.collide(dt)
	for i,v in ipairs(ammo.spawned) do
		if v.y > screenHeight then
			table.remove(ammo.spawned, i)
		end

		if v.x + v.width > player.x and
			v.x < player.x + player.width and
			v.y + v.height > player.y and
			v.y < player.y + player.height then
			player.weaponStage = 1
			canon.round = 100
			table.remove(ammo.spawned, i)
			TEsound.play('sfx/powerup.wav', 4 * 1024 * 1024)
		end
	end
end


--PARENT FUNCTIONS

function DRAW_POWERUP()
	health.draw()
	ammo.draw()
end
--
function UPDATE_POWERUP(dt)
	health.move(dt)
	ammo.move(dt)
	health.physics(dt)
	ammo.physics(dt)
	health.spawningHandler(dt)
	ammo.spawningHandler(dt)
	health.collide(dt)
	ammo.collide(dt)
end